function onCreate() 

	makeAnimatedLuaSprite('7','statip', -800,-500)
	addAnimationByPrefix('7','idle','idle',12,true)
	objectPlayAnimation('7','idle',false)
	scaleObject('7', 6, 6);
	addLuaSprite('7',false)

	makeLuaSprite('joke','swing swong', -550,0)
	scaleObject('joke', 1.75, 1.75)
	setProperty('joke.antialiasing', false)
          setProperty('joke.visible', false)
	addLuaSprite('joke',false)

	makeAnimatedLuaSprite('6','statid', -800,-500)
	addAnimationByPrefix('6','idle','idle',24,true)
	objectPlayAnimation('6','idle',false)
	scaleObject('6', 6, 6);
          setProperty('6.visible', false)
	addLuaSprite('6',false)

end

function onStepHit()
	if curStep == 640 then
          setProperty('joke.visible', true);
	end
	if curStep == 768 then
          setProperty('joke.visible', false);
	end
	if curStep == 1279 then
	setProperty('camGame.alpha', 0);
	end
	if curStep == 1312 then
	setProperty('camGame.alpha', 1);
	end
	if curStep == 1407 then
	setProperty('camGame.alpha', 0);
	end
	if curStep == 1439 then
	setProperty('camGame.alpha', 1);
       	setProperty('6.visible', true);
	end
	if curStep == 1695 then
	setProperty('camGame.alpha', 0);
	end
end